Bug 131281 - NPE when type something in the editor
NPE when type something in the editor
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Editor
6.x
All All
: P1 (vote)
: TBD
Assigned To: David Strupl
issues@javafx
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-27 12:04 UTC by Alexandr Scherbatiy
Modified: 2008-04-10 10:41 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
IDE log file (51.33 KB, text/plain)
2008-03-27 12:06 UTC, Alexandr Scherbatiy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandr Scherbatiy 2008-03-27 12:04:08 UTC
NetBeans: Build 200803251204
JavaFX Script plugin: 2008-03-26_02-32-38.zip

Steps to reproduce:

- Create a JavaFX file
- Type something in the editor
 The NPE pops up:

java.lang.NullPointerException
	at com.sun.source.util.TreePath.<init>(TreePath.java:89)
	at com.sun.source.util.TreePath.<init>(TreePath.java:82)
	at org.netbeans.modules.javafx.debug.TreeNavigatorProviderImpl$TaskImpl.run(TreeNavigatorProviderImpl.java:202)
	at org.netbeans.modules.javafx.debug.TreeNavigatorProviderImpl$TaskImpl.run(TreeNavigatorProviderImpl.java:196)
	at
org.netbeans.modules.javafx.debug.TreeNavigatorJavaFXSourceFactory$WrapperTask.run(TreeNavigatorJavaFXSourceFactory.java:116)
	at
org.netbeans.modules.javafx.debug.TreeNavigatorJavaFXSourceFactory$WrapperTask.run(TreeNavigatorJavaFXSourceFactory.java:103)
	at org.netbeans.api.javafx.source.JavaFXSource$CompilationJob.run(JavaFXSource.java:898)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:441)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
	at java.util.concurrent.FutureTask.run(FutureTask.java:138)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
[catch] at java.lang.Thread.run(Thread.java:619)
Comment 1 Alexandr Scherbatiy 2008-03-27 12:06:27 UTC
Created attachment 59202 [details]
IDE log file
Comment 2 David Strupl 2008-03-27 13:36:29 UTC
Does not happen any more here. If it does please reopen.
Comment 3 Alexandr Scherbatiy 2008-04-10 10:41:04 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo